Subject: Linux for ml310

From: Joachim Meyer <[email-masked]>
Date: Mon, 07 Jan 2008 21:41:22 +0100

Hi

I'm trying to run a Linux System on a ml310
I'm using the Kernel 2.4.26 from Bitkeeper und and EDK9.1 Sp2
I can compile my Kernel without Errors, with a Crosscompiler made by crosstools, if I don't copy the BSP files in the Kernel Directory.
If I do so, I can't compile. It aborts with the error:
serial.c:4040: error: 'XPAR_UARTNS550_0_CLOCK_FREQ_HZ' undeclared (first use in this function)
If I don't use the UART in my Kernel config I get other errors like:
adapter.c:96: error: `XPAR_XEMAC_NUM_INSTANCES' undeclared (first use in this function)
I don't really know what to do now. Where should I look for the solution?
Did I something wrong by generating the BSP or do I have to use an older version of the edk/ise?

When I was trying to find a solution I read some of the things in this mailing list, and now I'm concered about these 2 points
-Board
-Kernel Version
Is it a good idea to use the ml310?
I want a Linux, an ethernet device, a RS232 device and system-ace. Later I would try to patch the Linux with rtai for real-time-support.
I read about troubles with the ethernet device on the ml310 because of troubles with the pci bus. Would it be much easier to use an XUP-Board?
Would it be easier to use the kernel 2.6.x? Has anybody experience in running an rtai-patched Linux on an ml310 - bzw XUP Board?

Greetings & THX Joachim
______________________________________________________________________
XXL-Speicher, PC-Virenschutz, Spartarife & mehr: Nur im WEB.DE Club!		
Jetzt testen! http://produkte.web.de/club/?mc=021130